Cart soft delete (cart decoupled) - Fabric

Cart soft delete (cart decoupled)

cURL

curl --request DELETE \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart-decoupled/{cartId} \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "orderNumber": "1234-1234-12345"
}
'

Python

import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart-decoupled/{cartId}"

payload = { "orderNumber": "1234-1234-12345" }
headers = {
    "x-site-context": "<x-site-context>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'DELETE',
  headers: {'x-site-context': '<x-site-context>', 'Content-Type': 'application/json'},
  body: JSON.stringify({orderNumber: '1234-1234-12345'})
};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart-decoupled/{cartId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart-decoupled/{cartId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_POSTFIELDS => json_encode([
    'orderNumber' => '1234-1234-12345'
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart-decoupled/{cartId}"

payload := strings.NewReader("{\n  \"orderNumber\": \"1234-1234-12345\"\n}")

req, _ := http.NewRequest("DELETE", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.delete("https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart-decoupled/{cartId}")
  .header("x-site-context", "<x-site-context>")
  .header("Content-Type", "application/json")
  .body("{\n  \"orderNumber\": \"1234-1234-12345\"\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart-decoupled/{cartId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["x-site-context"] = '<x-site-context>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"orderNumber\": \"1234-1234-12345\"\n}"

response = http.request(request)
puts response.read_body

Response Codes

Example Response

{
  "registeredUser": false,
  "account": "<string>",
  "approver": "<string>",
  "po": "<string>",
  "cartId": 111166,
  "status": "pending",
  "allPromosApplied": ["<array>"],
  "attributes": ["<array>"],
  "__v": 0,
  "totalAmount": {
    "currency": "USD",
    "amount": 38
  },
  "quantity": 2,
  "_id": "5fee9d59f2f08a1b3cbdea08",
  "createdAt": "2020-12-31T02:09:53.914Z",
  "updatedAt": "2020-12-31T02:09:53.914Z",
  "deleted": true,
  "items": [
    {
      "price": {
        "discount": {
          "discountAmount": 0,
          "price": 0,
          "promosApplied": ["<array>"]
        },
        "sale": 0,
        "base": 19,
        "currency": "USD"
      },
      "sample": false,
      "isUnique": false,
      "discountedQuantity": 0,
      "group": ["123123123123123123123123"],
      "weightUnit": "lb",
      "isPickup": false,
      "itemId": 15,
      "sku": "sk231212",
      "taxCode": "TC1234567890",
      "title": "fabric t-shirt",
      "weight": 4.2,
      "quantity": 2,
      "lineItemId": 1,
      "attributeTotalPrice": 0,
      "totalPrice": {
        "currency": "USD",
        "amount": 38
      },
      "attributes": ["<array>"],
      "id": "6141a40c13f13a000876272a",
      "_id": "5fee9d59f2f08a1b3cbdea08",
      "createdAt": "2020-12-31T02:09:53.914Z",
      "updatedAt": "2020-12-31T02:09:53.914Z"
    }
  ]
}

Error Response Example

{
  "code": "CART_NOT_FOUND",
  "message": "Cart not found."
}